#ifndef KL_MAIN_H
#define KL_MAIN_H

#include "base/main.h"
#include "base/factory.h"
#include "board.h"
#include "field.h"


class KLFactory : public BaseFactory
{
 public:
    KLFactory();

 protected:
    virtual BaseBoard *createBoard(bool, TQWidget *parent)
        { return new KLBoard(parent); }
    virtual BaseInterface *createInterface(TQWidget *parent)
        { return new Field(parent); }
};

class KLMainWindow : public BaseMainWindow
{
 TQ_OBJECT
  
 public:
    KLMainWindow();
};

#endif
